Ticket #32087

JTalk が 1.01 のような数字で小数点を読まない

Open Date: 2013-09-22 23:10 Last Update: 2013-12-05 14:27

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: 音声合成 MileStone: 2013.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

NVDA 2013.2jp (および過去のバージョン)の JTalk が 1.01 のような数字を「イチ、ゼロイチ」のように読んでいます。

記号読み上げレベルの設定は関係ありません。

Windows 8 の Haruka Desktop では「イッテンレイイチ」のように正しく読みます。

ゼロで始まる数字列を適切に読み付与するために synthDrivers/jtalk/_nvdajp_predic.py で行っているパターンマッチングの副作用と考えられます。

Attachment File List

No attachments

Ticket History (3/3 Histories)

2013-09-22 23:10 Updated by: nishimoto
  • New Ticket "JTalk が 1.01 のような数字で小数点を読まない" created
2013-10-09 12:12 Updated by: nishimoto
  • Milestone Update from (None) to 2013.3jp (closed)
  • Resolution Update from None to Accepted
Comment

本件に関する作業の一部は jpnext テスト版で評価中ですが、現状をまとめておきます。

jptools/jtalkPredicTest.py にテストケースを追加。

https://bitbucket.org/nvdajp/nvdajp/commits/ea0249b3d516e096fc5bc8262048eaa3f8b0cc54?at=jtalk

小数点の読み上げに関する jtalk ブランチの現状:

Open JTalk の読み付与で読めるパターン(一部 2013.2jp と比べて改善)
1.1
1.01

独自処理でサポートできたパターン
1.01.1
1.01.01
1.01.01.1
1.01.01.01

「てん」が欠落してしまうパターン
01.1
01.01
1.01.01.01.1
1.01.01.01.01
2013-12-05 14:27 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Ticket Close date is changed to 2013-12-05 14:27
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
  • Component Update from (None) to 音声合成

Edit

Please login to add comment to this ticket » Login